Update contact essential fields
PUT
/v3/contacts/update-short/{contactId}
const url = 'https://api-crm-staging.divinea.com/api/v3/contacts/update-short/1';const options = { method: 'PUT', headers: {APIKey: '<APIKey>', 'Content-Type': 'application/json'}, body: '{"countryIso":"example","email":"example","firstName":"example","lastName":"example","manualMarketing":"example","phoneNumber":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api-crm-staging.divinea.com/api/v3/contacts/update-short/1 \ --header 'APIKey: <APIKey>' \ --header 'Content-Type: application/json' \ --data '{ "countryIso": "example", "email": "example", "firstName": "example", "lastName": "example", "manualMarketing": "example", "phoneNumber": "example" }'Authorizations
Sezione intitolata “Authorizations”Parameters
Sezione intitolata “Parameters”Path Parameters
Sezione intitolata “Path Parameters”contactId
required
integer format: int64
ContactId
Request Body
Sezione intitolata “Request Body”Contact
Media typeapplication/json
ContactShortParams
object
countryIso
string
email
string
firstName
string
lastName
string
manualMarketing
string
phoneNumber
string
Examplegenerated
{ "countryIso": "example", "email": "example", "firstName": "example", "lastName": "example", "manualMarketing": "example", "phoneNumber": "example"}Responses
Sezione intitolata “Responses”OK
Media type*/*